Page 1 of 1

firefox update to 31.4

Posted: 09 Feb 2015, 23:12
by francois
I am asking for a firefox update to version 31.4. This would permit the most recent packages icedtea, jre or jdk, rhino of alien bob for java to work with porteus 3.1. See:
viewtopic.php?f=81&t=4326&start=15

In fact, the mozilla-firefox-31.4 from salix does the job perfectly. It could be downloaded with usm. It integrates flawlessly with lxqt, but kde does not recognise it, and has to be started in command line.

Thanks a lot. :)

Re: firefox update to 31.4

Posted: 09 Feb 2015, 23:43
by Ed_P
FWIW Oracle Java 8u31 works with Firefox 31.3 on LXQt 3.1.

https://forum.porteus.org/viewtopic.php?f=75&t=3332

Re: firefox update to 31.4

Posted: 10 Feb 2015, 00:14
by francois
@Ed:

Very good. Why don't you intervene and provide the procedure for shabido? You are the expert. :)
https://forum.porteus.org/viewtopic.php ... 6&start=15

He wants something very simple, a step by step tutorial for newcomer. I realize that I kind of made a bad job.

Naturally, there is no obligation. :wink:

Meanwhile, I maintain my demand for firefox update to 31.4 as the most recent version is always more secure.

Re: firefox update to 31.4

Posted: 10 Feb 2015, 00:43
by Ed_P
francois wrote:@Ed:

Very good. Why don't you intervene and provide the procedure for shabido? You are the expert. :)
https://forum.porteus.org/viewtopic.php ... 6&start=15
I'm hardly an expert but I will see if I can help.
Meanwhile, I maintain my demand for firefox update to 31.4 as the most recent version is always more secure.
Have you checked USM for it? I have it running as a module on 3.0.1.

Re: firefox update to 31.4

Posted: 10 Feb 2015, 01:24
by francois
@ed:

In fact, following this other thread on java:
https://forum.porteus.org/viewtopic.php?f=81&t=4335

I downloaded openjre, icedtea and rhino from usm instead of fetching them from alien bob repo. Firefox porteus does not accept these modules for security reasons. You should try your whole procedure on porteus 3.1. If it works then you will be convincing me. I would be happy that you would find me to be wrong. :wink:

Then I download mozilla-firefox-31.4 and inactivate porteus 3.1 firefox module and icedtea is accepted.

Meanwhile, if you want, it might be a good thing to remove your post to shabido as he is working with porteus lxqt 3.1. (keep a copy of it on your desktop)

Re: firefox update to 31.4

Posted: 10 Feb 2015, 04:33
by Ed_P
francois wrote:You should try your whole procedure on porteus 3.1. If it works then you will be convincing me. I would be happy that you would find me to be wrong. :wink:
Start here: https://forum.porteus.org/viewtopic.php ... 332#p30122 and note the name of the folder where I put the module. :wink:

Re: FAA firefox update to 31.4

Posted: 10 Feb 2015, 15:16
by fanthom
"I am asking for a firefox update to version 31.4."
whats wrong with using our package manger to download latest firefox/flash versions?
it exists for this purpose.